今日は、堀と申します。
まつもとさん、永井さんお返事ありがとうございます。
おかげさまで動くようになりました。

NAGAI> 多分,何らかの理由で,tcltklib がうまく作成できていないんでしょう.

その通りでした(. .;

私のシステムにはtk-4.2jpのあとにtk-4.1が入っていたようで、
tk-4.1を削除して再コンパイルしたら動きました。
皆さんお騒がせしました。

taanoshin / geocities.co.jp
下記URLでRubyのことチョコッとかいてます
http://www.geocities.co.jp/SiliconValley-PaloAlto/3555/